gnutls_x509_privkey_export_rsa_raw(3)

NAME
gnutls_x509_privkey_export_rsa_raw - This function will export the RSA private key

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_privkey_export_rsa_raw(gnutls_x509_privkey_t key, gnutls_datum_t * m, gnutls_datum_t * e, gnutls_datum_t * d, gnutls_datum_t * p, gnutls_datum_t * q, gnutls_datum_t * u);

ARGUMENTS

gnutls_x509_privkey_t key
    a structure that holds the rsa parameters

gnutls_datum_t * m
    will hold the modulus

gnutls_datum_t * e
    will hold the public exponent

gnutls_datum_t * d
    will hold the private exponent

gnutls_datum_t * p
    will hold the first prime (p)

gnutls_datum_t * q
    will hold the second prime (q)

gnutls_datum_t * u
    will hold the coefficient

DESCRIPTION
This function will export the RSA private key's parameters found in the given structure. The new parameters will be allocated using gnutls_malloc() and will be stored in the appropriate datum.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.